---
- name: Install/Update smartmontools
  become: true
  apt:
    name: smartmontools
    state: latest
    update_cache: true

# `shell_smartctl` is used inside the template file copied below.
- name: Is S.M.A.R.T. available/enable on devices
  become: true
  shell: "smartctl -a -T permissive /dev/{{ device }}"
  loop: "{{ ansible_devices.keys() | list }}"
  loop_control:
    loop_var: device
  register: shell_smartctl
  changed_when: false
  failed_when: false

- name: Copy smartd.conf
  become: true
  template:
    src: smartd.conf.j2
    dest: /etc/smartd.conf
    mode: 0644
    owner: "{{ root_user }}"
    group: "{{ root_group }}"
  notify: Restart smartd service

- name: Copy smartmontools default options
  become: true
  copy:
    src: smartmontools
    dest: /etc/default/smartmontools
    mode: 0644
    owner: "{{ root_user }}"
    group: "{{ root_group }}"
  notify: Restart smartd service
